<template>
    <div class="modalInput" v-if="show" @click.stop="hideDialog">
        <div class="modal-dialog">
            <div class="modal-content container">
                <div class="modal-body bg-white p-3 rounded shadow mt-3" @click.stop>
                    <slot></slot>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
export default {
    name:'DialogInput',
    props: {
        show: {
            type: Boolean,
            default:false
        }
    },
    methods: {
        hideDialog(){
            this.$emit('update:show', false);
        }
    }
}
</script>
<style>
.modalInput{
    background-color:rgba(43,43,43,0.4);
    left: 0;
    right: 0;
    top:0;
    bottom: 0;
    position: fixed;
    display: flex;
}
</style>